| Home | Libraries | People | FAQ | More

##### basic_socket_streambuf::shutdown (1 of 2 overloads)

Inherited from basic_socket.

Disable sends or receives on the socket.

    void shutdown(
        shutdown_type what);

This function is used to disable send operations, receive operations, or both.

###### Parameters

what

  Determines what types of operation will no longer be allowed.

###### Exceptions

boost::system::system_error

  Thrown on failure.

###### Example

Shutting down the send side of the socket:

    boost::asio::ip::tcp::socket socket(io_service);
    ...
    socket.shutdown(boost::asio::ip::tcp::socket::shutdown_send);